Description: introduce architecture dependent  compile flags
Author: Thorsten Alteholz <debian@alteholz.de>
Index: smstools-3.1.21/src/Makefile
===================================================================
--- smstools-3.1.21.orig/src/Makefile	2017-10-13 15:20:40.227235240 +0200
+++ smstools-3.1.21/src/Makefile	2017-10-13 15:21:34.721118505 +0200
@@ -3,6 +3,8 @@
 # Select your setup size:
 CFLAGS = -D NUMBER_OF_MODEMS=64 `dpkg-buildflags --get CFLAGS` `dpkg-buildflags --get CPPFLAGS`
 
+ARCH = $(shell dpkg-architecture -qDEB_BUILD_ARCH)
+
 # Uncomment for Solaris
 # CFLAGS += -D SOLARIS
 # This might be also needed for Solaris:
@@ -13,6 +15,9 @@
 
 # Uncomment this to disable usage of inotify
 #CFLAGS += -D DISABLE_INOTIFY
+ifneq (,$(findstring kfreebsd,$(ARCH)))
+	CFLAGS += -D DISABLE_INOTIFY
+endif
 
 # Uncomment for FreeBSD if statistics are enabled
 #CFLAGS += -I/usr/local/include
